Package org.tmatesoft.svn.core.wc

# Interface ISVNMerger

All Known Subinterfaces:
  `ISvnMerger`

public interface ISVNMerger
ISVNMerger is the merge driver interface used by `SVNKit` in merging operations.

Merge drivers are created by a merger factory implementing the `ISVNMergerFactory` interface. Read more about that interface to find out how to get a default implementation of `ISVNMerger`. Note: methods of this interface will only be called for Subversion 1.6 or older working copies. To provide custom merge implementation for Subversion 1.7 working copies implement `ISvnMerger` interface.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Method Summary

Modifier and Type
Method
Description
`SVNMergeResult`
`mergeProperties(String localPath, SVNProperties workingProperties, SVNProperties baseProperties, SVNProperties serverBaseProps, SVNProperties propDiff, org.tmatesoft.svn.core.internal.wc.admin.SVNAdminArea adminArea, org.tmatesoft.svn.core.internal.wc.admin.SVNLog log, boolean baseMerge, boolean dryRun)`
Given `adminArea`/`localPath` and property changes (`propDiff`) based on `serverBaseProps`, merges the changes into the working copy.
`SVNMergeResult`
`mergeText(SVNMergeFileSet files, boolean dryRun, SVNDiffOptions options)`
Performs a text merge.

## Method Details

### mergeText

SVNMergeResult mergeText(SVNMergeFileSet files, boolean dryRun, SVNDiffOptions options) throws SVNException
Performs a text merge.

Parameters:
  `files` - files invoked in merge
  `dryRun` - if true, merge is simulated only, no real changes are done
  `options` - merge options to take into account
Returns:
  result of merging
Throws:
  `SVNException`

### mergeProperties

SVNMergeResult mergeProperties(String localPath, SVNProperties workingProperties, SVNProperties baseProperties, SVNProperties serverBaseProps, SVNProperties propDiff, org.tmatesoft.svn.core.internal.wc.admin.SVNAdminArea adminArea, org.tmatesoft.svn.core.internal.wc.admin.SVNLog log, boolean baseMerge, boolean dryRun) throws SVNException
Given `adminArea`/`localPath` and property changes (`propDiff`) based on `serverBaseProps`, merges the changes into the working copy.

Parameters:
  `localPath` - working copy path base name
  `workingProperties` - working properties
  `baseProperties` - pristine properties
  `serverBaseProps` - properties that come from the server
  `propDiff` - property changes that come from the repository
  `adminArea` - admin area object representing the `.svn<./code> admin area of the target which properties are merged`
  `log` - logger
  `baseMerge` - if false, then changes only working properties; otherwise, changes both the base and working properties
  `dryRun` - if true, merge is simulated only, no real changes are done
Returns:
  result of merging
Throws:
  `SVNException`